×

FAQs

Activation for windows: Keep asking me to install the latest version while installing the effect pack.

Currently it requires Filmora V8.1 or above to install the effect pack from the effect store. You can select About…under Help and check which version you have now.

 check-program-version

If your computer is running 32 bit OS, the latest version you can get is V7.8.9 only. So you have to upgrade your operating system to 64 bit OS so that you can install a higher version.

If your computer is running 64 bit OS and the version you have is lower than 8.1.0, please click here to download the latest version and then login your effect store account to install the pack again.

Tips: You can follow below article to tell if your computer is running 32 bit OS or 64 bit OS.

https://www.lifewire.com/am-i-running-a-32-bit-or-64-bit-version-of-windows-2624475

Top
filmora logo

Start making your stunning Video with Filmora

LEARN MORE

FOLLOW US FOR EXCITING UPDATES